summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichael Cummings <mcummings@gentoo.org>2006-06-06 14:01:48 +0000
committerMichael Cummings <mcummings@gentoo.org>2006-06-06 14:01:48 +0000
commit82cca8535e591d63cce310a14134d409afbb809d (patch)
treea3bc82e81391f04d7a576f904f6a4c64d60705b5 /eclass
parentKeyword ppc stable wrt bug #135764. Keyword approval: hansmi. (diff)
downloadgentoo-2-82cca8535e591d63cce310a14134d409afbb809d.tar.gz
gentoo-2-82cca8535e591d63cce310a14134d409afbb809d.tar.bz2
gentoo-2-82cca8535e591d63cce310a14134d409afbb809d.zip
Fixed die bug (related to bug 135396)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/perl-module.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/perl-module.eclass b/eclass/perl-module.eclass
index 0bd6c53ae29a..778d5e3f72d5 100644
--- a/eclass/perl-module.eclass
+++ b/eclass/perl-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.92 2006/05/26 15:22:54 antarus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/perl-module.eclass,v 1.93 2006/06/06 14:01:48 mcummings Exp $
#
# Author: Seemant Kulleen <seemant@gentoo.org>
# Maintained by the Perl herd <perl@gentoo.org>
@@ -101,11 +101,11 @@ perl-module_src_prep() {
einfo "Using ExtUtils::MakeMaker"
#perl Makefile.PL ${myconf} \
perl Makefile.PL ${myconf} INSTALLMAN3DIR='none'\
- PREFIX=/usr INSTALLDIRS=vendor DESTDIR=${D}
+ PREFIX=/usr INSTALLDIRS=vendor DESTDIR=${D} || die "Unable to build! (are you using USE=\"build\"?)"
fi
if [ -f Build.PL ] ; then
einfo "Using Module::Build"
- perl Build.PL --installdirs=vendor --destdir=${D} --libdoc=
+ perl Build.PL --installdirs=vendor --destdir=${D} --libdoc= || die "Unable to build! (are you using USE=\"build\"?)"
fi
if [ ! -f Build.PL ] && [ ! -f Makefile.PL ]; then
einfo "No Make or Build file detected..."